Public Member Functions | Public Attributes | List of all members
StarPageAttribute::StarPAttributeColumns::Column Struct Reference

a column More...

## Public Member Functions
| Column ()
| constructor
void | printData (libstoff::DebugStream &o) const
| debug function to print the data
bool | addTo (librevenge::RVNGPropertyList &propList) const

## Public Attributes
int | m_wishWidth
| the wish width
int | m_margins [4]
| the left, top, right bottom margins

## Detailed Description

a column

## Constructor & Destructor Documentation

## ◆ Column()

StarPageAttribute::StarPAttributeColumns::Column::Column | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addTo()

bool StarPageAttribute::StarPAttributeColumns::Column::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const
| inline

## ◆ printData()

void StarPageAttribute::StarPAttributeColumns::Column::printData | ( | libstoff::DebugStream & | o | ) | const
| inline

debug function to print the data

## Member Data Documentation

## ◆ m_margins

int StarPageAttribute::StarPAttributeColumns::Column::m_margins[4]

the left, top, right bottom margins

Referenced by addTo(), Column(), printData(), and StarPageAttribute::StarPAttributeColumns::read().

## ◆ m_wishWidth

int StarPageAttribute::StarPAttributeColumns::Column::m_wishWidth

the wish width

Referenced by addTo(), printData(), and StarPageAttribute::StarPAttributeColumns::read().

The documentation for this struct was generated from the following file:

- StarPageAttribute.cxx